Name:           wdiff
Version:        1.0.0
Release:        1%{?dist}
Summary:        A front-end to GNU diff

Group:          Applications/System
License:        GPLv3+
URL:            http://www.gnu.org/software/wdiff/
Source0:        http://ftp.gnu.org/gnu/wdiff/%{name}-%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  gettext-devel
BuildRequires:  libtool  
Requires(post): info
Requires(preun): info

%description
`wdiff' is a front-end to GNU `diff'.  It compares two files, finding
which words have been deleted or added to the first in order to create
the second.  It has many output formats and interacts well with
terminals and pagers (notably with `less').  `wdiff' is particularly
useful when two texts differ only by a few words and paragraphs have
been refilled.

%prep
%setup -q -n %{name}-%{version}
iconv --from=ISO-8859-1 --to=UTF-8 ChangeLog > ChangeLog.new && \
touch -r ChangeLog ChangeLog.new && \
mv ChangeLog.new ChangeLog

%build
%configure --enable-experimental="mdiff wdiff2 unify" 
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name '*gnulib.mo' -exec rm -f {} ';'

%find_lang %{name}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS  README TODO  ChangeLog  AUTHORS
%{_bindir}/*
%{_mandir}/man1/*.1.gz
%{_infodir}/%{name}.info.gz


%changelog
* Thu Sep 8 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.0.0-1
- New release

* Fri Mar 4 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.6.5-5
- Fix change log issue 

* Tue Mar 1 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.6.5-4
- Add find language tag

* Tue Mar 1 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.6.5-3
- Removed unnecessary -gnulib translation files.
- Rpmlint warning fixed for ChangeLog not utf8 file.
- Adding %%doc files

* Tue Mar 1 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.6.5-2
- Fix license,buildroot issue. Add find language tag.

* Tue Mar 1 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.6.5-1
- Initial version of the package
